set oldExecutable to (choose file with prompt "old version (getting wrapped, ex. SkyLight from Mojave)")
set newExecutable to (choose file with prompt "new version (what we want the wrapped one to look like, ex. SkyLight from Cat)")

do shell script "nm -gUj " & quoted form of POSIX path of oldExecutable
set oldSymbolLines to paragraphs of result

do shell script "nm -gUj " & quoted form of POSIX path of newExecutable
set newSymbolLines to paragraphs of result

set text item delimiters to " "

set output to ""

set newIndex to 1
repeat while newIndex  length of newSymbolLines
	
	set newSymbol to item newIndex of newSymbolLines
	
	set foundInOld to false
	
	set oldIndex to 1
	repeat while oldIndex  length of oldSymbolLines
		
		set oldSymbol to item oldIndex of oldSymbolLines
		
		if oldSymbol = newSymbol then
			set foundInOld to true
			exit repeat
		end if
		
		set oldIndex to oldIndex + 1
	end repeat
	
	if not foundInOld then
		set output to output & newSymbol & "
" as string
	end if
	
	set newIndex to newIndex + 1
	
	log "comparing symbol " & newIndex & "/" & length of newSymbolLines as string
	
end repeat

set outputFile to (choose file name default name "symbols only in new.txt")
open for access outputFile with write permission
write output to outputFile
close access outputFile